<?
  $error = '';
  $message = '';
  if (!isset($userid))
  {
      if (isset($loggedIn->login)) {
          $admins = array();
          $query = "SELECT login, password FROM admins WHERE 1";
          $result = dbQuery($query) or
              error("Kann Admins nicht aus der Datenbank holen: " . dbError());
          while ($row = dbFetchRow($result))
          {
              $tmpadmin = new admin($row['login']);
              array_push($admins, $tmpadmin);
          }
          dbFreeResult($result);
          include("views/$module/show.php");
      } 

      include("views/$module/show.php");
      return;
  }

  $editadmin = new admin('',$userid);
  $adminpassword = isset($adminpassword)?$adminpassword:$editadmin->password;
  $adminname = isset($adminname)?$adminname:$editadmin->name;
  $email = isset($email)?$email:$editadmin->email;
  $adminlogin = isset($adminlogin)?$adminlogin:$editadmin->login;
  $windowslogin = isset($windowslogin)?$windowslogin:$editadmin->windowslogin;
  $role = isset($role)?$role:$editadmin->role;
  $ipcheck = isset($ipcheck)?$ipcheck:$editadmin->ipcheck;

  if (!isset($state)) { $state=''; }
  if ($state == 'enter')
  {
      while (1) // Konstrukt, um 'break' benutzen zu können
      {
      if ($adminpassword != $adminpassword2)
      {
          $error = "Passworte stimmen nicht &uuml;berein";
          break;
      }
      if (!$adminname)
      {
          $error = "Bitte geben Sie einen Namen ein";
          break;
      }
      if (!$adminlogin)
      {
          $error = "Bitte geben Sie einen Loginnamen ein";
          break;
      }
      if (!$adminpassword)
      {
          $error = "Bitte geben Sie ein Passwort ein";
          break;
      }
      if (!$role)
      {
          $error = "Bitte geben Sie eine Rolle an";
          break;
      }
      break;
      }
      if (! $error) {
          $editadmin->name = $adminname;
          $editadmin->email = $email;
          $editadmin->login = $adminlogin;
          $editadmin->windowslogin = $windowslogin;
          $editadmin->password = $adminpassword;
          $editadmin->role = $role;
          $editadmin->ipcheck = $ipcheck;
          $editadmin->ersteller = $loggedIn->userId;
          $editadmin->updateData();
          $message = "Der Benutzer $adminlogin wurde erfolgreich geändert.";
      }
  }

     $ipcheck=$ipcheck==''?'1':$ipcheck;
     // Zeige Formular
     include("views/$module/edit.php");
?>
